Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 204474 - LowPerformance took 8813 ms.
LowPerformance took 8813 ms.
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: Lexer
7.0
All All
: P3 (vote)
: 7.2
Assigned To: Miloslav Metelka
issues@editor
EXCEPTIONS_REPORT perf-profileme
: PERFORMANCE
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-31 18:18 UTC by misterm
Modified: 2012-06-02 06:11 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
nps snapshot (20.73 KB, application/nps)
2011-10-31 18:18 UTC, misterm
Details

Note You need to log in before you can comment on or make changes to this bug.
Description misterm 2011-10-31 18:18:50 UTC
Build: NetBeans IDE Dev (Build 20111031-f6521f535ec5)
VM: Java HotSpot(TM) Client VM, 16.2-b04, Java(TM) SE Runtime Environment, 1.6.0_19-b04
OS: Windows 7

User Comments:
GUEST: Started a new java project

GUEST: Scanning to php projects:

one with few simple files and other wordpress code

GUEST: opening my project



Maximum slowness yet reported was 8813 ms, average is 4831
Comment 1 misterm 2011-10-31 18:18:54 UTC
Created attachment 112620 [details]
nps snapshot
Comment 2 Miloslav Metelka 2012-05-31 08:32:50 UTC
This is about referencing JavaStringTokenId class from a highlighting layer that is being used by views creation in AWT thread. The JSTI class is not yet pre-loaded and if the system is slow at the moment (possibly reading some other data from a disk) then this slowness may happen. Added code into java warmup to prevent this.
http://hg.netbeans.org/jet-main/rev/dcbbe1d8daa6
Comment 3 Quality Engineering 2012-06-02 06:11:55 UTC
Integrated into 'main-golden', will be available in build *201206020001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/dcbbe1d8daa6
User: Miloslav Metelka <mmetelka@netbeans.org>
Log: #204474 - LowPerformance took 8813 ms - pre-loading java token id embeddings in warmup.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo